12345678910111213141516171819202122232425262728293031323334353637 |
- #!/bin/sh
- # Run this script in the top-level source directory to check the
- # documentation for compatibility with groff and nroff.
- set -e
- one_test() {
- "$@" >/dev/null 2>doctest.err
- if test -s doctest.err; then
- echo "ERROR messages follow:" 2>&1
- cat doctest.err 2>&1
- echo "ERROR while running following command:" 2>&1
- echo "$@" 2>&1
- echo "ERROR messages are preserved in doctest.err"
- exit 1
- fi
- }
- test -r doc/man/mc.1.in || { echo "ERROR: cannot read doc/mc.1.in" 2>&1; exit 1; }
- # Test the documentation for possible errors.
- for i in `find doc -name '*.[1-9].in'`; do
- echo "test $i"
- cat $i |preconv -e UTF8| groff -wall -mandoc -Tutf8 | grep "warning:"
- done
- for i in `find doc -name '*.[1-9].in'`; do
- echo "test $i"
- cat $i |preconv -e UTF8| nroff -Tutf8 -mandoc | grep "warning:"
- done
- # Check the English manuals to be in ASCII.
- one_test find doc -maxdepth 1 -name '*.[1-9].in' -exec groff -wall -Tascii {} \;
- rm -rf doctest.err
- exit 0
|